Fork me on GitHub

Dependency Convergence

Legend:
[Error] At least one dependency has a differing version of the dependency or has SNAPSHOT dependencies.

Statistics:
Number of dependencies (NOD): 50
Number of unique artifacts (NOA): 65
Number of version-conflicting artifacts (NOC): 8
Number of SNAPSHOT artifacts (NOS): 0
Convergence (NOD/NOA): [Error] 76 %
Ready for release (100% convergence and no SNAPSHOTS): [Error] Error
You do not have 100% convergence.

Dependencies used in this project

classworlds:classworlds

[Error]
1.1
    org.codehaus.mojo:extra-enforcer-rules:jar:1.0-beta-6
    \- org.apache.maven:maven-core:jar:2.0.9:compile
       \- classworlds:classworlds:jar:1.1:compile

1.1-alpha-2
    org.codehaus.mojo:extra-enforcer-rules:jar:1.0-beta-6
    +- org.apache.maven:maven-core:jar:2.0.9:compile
    |  \- org.codehaus.plexus:plexus-interactivity-api:jar:1.0-alpha-4:compile
    |     \- (classworlds:classworlds:jar:1.1-alpha-2:compile - omitted for duplicate)
    \- org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9:compile
       \- (classworlds:classworlds:jar:1.1-alpha-2:compile - omitted for conflict with 1.1)

commons-logging:commons-logging

[Error]
1.0.3
    org.codehaus.mojo:extra-enforcer-rules:jar:1.0-beta-6
    \- org.apache.maven:maven-core:jar:2.0.9:compile
       \- org.apache.maven.wagon:wagon-webdav:jar:1.0-beta-2:runtime
          \- slide:slide-webdavlib:jar:2.1:runtime
             \- commons-httpclient:commons-httpclient:jar:2.0.2:runtime
                \- (commons-logging:commons-logging:jar:1.0.3:runtime - omitted for conflict with 1.0.4)

1.0.4
    org.codehaus.mojo:extra-enforcer-rules:jar:1.0-beta-6
    \- org.apache.maven:maven-core:jar:2.0.9:compile
       \- org.apache.maven.wagon:wagon-webdav:jar:1.0-beta-2:runtime
          \- commons-logging:commons-logging:jar:1.0.4:runtime

org.apache.maven:maven-artifact

[Error]
2.0.8
    org.codehaus.mojo:extra-enforcer-rules:jar:1.0-beta-6
    \- org.apache.maven.shared:maven-common-artifact-filters:jar:1.4:compile
       \- (org.apache.maven:maven-artifact:jar:2.0.8:compile - omitted for conflict with 2.0.9)

2.0.9
    org.codehaus.mojo:extra-enforcer-rules:jar:1.0-beta-6
    +- org.apache.maven:maven-project:jar:2.0.9:compile
    |  +- org.apache.maven:maven-artifact-manager:jar:2.0.9:compile
    |  |  \- (org.apache.maven:maven-artifact:jar:2.0.9:compile - omitted for conflict with 3.0)
    |  \- (org.apache.maven:maven-artifact:jar:2.0.9:compile - omitted for duplicate)
    +- org.apache.maven:maven-core:jar:2.0.9:compile
    |  +- (org.apache.maven:maven-artifact:jar:2.0.9:compile - omitted for duplicate)
    |  \- org.apache.maven:maven-plugin-descriptor:jar:2.0.9:compile
    |     \- (org.apache.maven:maven-artifact:jar:2.0.9:compile - omitted for duplicate)
    \- org.apache.maven:maven-artifact:jar:2.0.9:compile

3.0
    org.codehaus.mojo:extra-enforcer-rules:jar:1.0-beta-6
    \- org.apache.maven:maven-plugin-api:jar:3.0:compile
       \- (org.apache.maven:maven-artifact:jar:3.0:compile - omitted for conflict with 2.0.9)

org.apache.maven:maven-model

[Error]
2.0.8
    org.codehaus.mojo:extra-enforcer-rules:jar:1.0-beta-6
    \- org.apache.maven.shared:maven-common-artifact-filters:jar:1.4:compile
       \- (org.apache.maven:maven-model:jar:2.0.8:compile - omitted for conflict with 2.0.9)

2.0.9
    org.codehaus.mojo:extra-enforcer-rules:jar:1.0-beta-6
    +- org.apache.maven:maven-project:jar:2.0.9:compile
    |  +- org.apache.maven:maven-settings:jar:2.0.9:compile
    |  |  \- (org.apache.maven:maven-model:jar:2.0.9:compile - omitted for conflict with 3.0)
    |  +- org.apache.maven:maven-profile:jar:2.0.9:compile
    |  |  \- (org.apache.maven:maven-model:jar:2.0.9:compile - omitted for conflict with 3.0)
    |  \- (org.apache.maven:maven-model:jar:2.0.9:compile - omitted for duplicate)
    +- org.apache.maven:maven-core:jar:2.0.9:compile
    |  \- (org.apache.maven:maven-model:jar:2.0.9:compile - omitted for duplicate)
    \- org.apache.maven:maven-model:jar:2.0.9:compile

3.0
    org.codehaus.mojo:extra-enforcer-rules:jar:1.0-beta-6
    \- org.apache.maven:maven-plugin-api:jar:3.0:compile
       \- (org.apache.maven:maven-model:jar:3.0:compile - omitted for conflict with 2.0.9)

org.apache.maven:maven-project

[Error]
2.0.8
    org.codehaus.mojo:extra-enforcer-rules:jar:1.0-beta-6
    \- org.apache.maven.shared:maven-common-artifact-filters:jar:1.4:compile
       \- (org.apache.maven:maven-project:jar:2.0.8:compile - omitted for conflict with 2.0.9)

2.0.9
    org.codehaus.mojo:extra-enforcer-rules:jar:1.0-beta-6
    +- org.apache.maven:maven-project:jar:2.0.9:compile
    \- org.apache.maven:maven-core:jar:2.0.9:compile
       \- (org.apache.maven:maven-project:jar:2.0.9:compile - omitted for duplicate)

2.2.0
    org.codehaus.mojo:extra-enforcer-rules:jar:1.0-beta-6
    \- org.apache.maven.shared:maven-dependency-tree:jar:2.1:compile
       \- (org.apache.maven:maven-project:jar:2.2.0:compile - omitted for conflict with 2.0.9)

org.codehaus.plexus:plexus-component-annotations

[Error]
1.5.4
    org.codehaus.mojo:extra-enforcer-rules:jar:1.0-beta-6
    \- org.apache.maven:maven-plugin-api:jar:3.0:compile
       \- org.sonatype.sisu:sisu-inject-plexus:jar:1.4.2:compile
          \- (org.codehaus.plexus:plexus-component-annotations:jar:1.5.4:compile - omitted for conflict with 1.5.5)

1.5.5
    org.codehaus.mojo:extra-enforcer-rules:jar:1.0-beta-6
    \- org.apache.maven.shared:maven-dependency-tree:jar:2.1:compile
       \- org.codehaus.plexus:plexus-component-annotations:jar:1.5.5:compile

org.codehaus.plexus:plexus-container-default

[Error]
1.0-alpha-9
    org.codehaus.mojo:extra-enforcer-rules:jar:1.0-beta-6
    +- org.apache.maven.enforcer:enforcer-api:jar:1.0:compile
    |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9:compile - omitted for duplicate)
    \- org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9:compile

1.0-alpha-9-stable-1
    org.codehaus.mojo:extra-enforcer-rules:jar:1.0-beta-6
    +- org.apache.maven:maven-project:jar:2.0.9:compile
    |  +- org.apache.maven:maven-settings:jar:2.0.9:compile
    |  |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for conflict with 1.0-alpha-9)
    |  +- org.apache.maven:maven-profile:jar:2.0.9:compile
    |  |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for conflict with 1.0-alpha-9)
    |  +- org.apache.maven:maven-artifact-manager:jar:2.0.9:compile
    |  |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for conflict with 1.0-alpha-9)
    |  +- org.apache.maven:maven-plugin-registry:jar:2.0.9:compile
    |  |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for conflict with 1.0-alpha-9)
    |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for conflict with 1.0-alpha-9)
    \- org.apache.maven:maven-core:jar:2.0.9:compile
       +- org.apache.maven:maven-plugin-parameter-documenter:jar:2.0.9:compile
       |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for conflict with 1.0-alpha-9)
       +- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for conflict with 1.0-alpha-9)
       +- org.apache.maven:maven-error-diagnostics:jar:2.0.9:compile
       |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for conflict with 1.0-alpha-9)
       \- org.apache.maven:maven-plugin-descriptor:jar:2.0.9:compile
          \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for conflict with 1.0-alpha-9)

1.5.5
    org.codehaus.mojo:extra-enforcer-rules:jar:1.0-beta-6
    \- org.apache.maven.shared:maven-common-artifact-filters:jar:1.4:compile
       \- (org.codehaus.plexus:plexus-container-default:jar:1.5.5:compile - omitted for conflict with 1.0-alpha-9)

org.codehaus.plexus:plexus-utils

[Error]
1.0.4
    org.codehaus.mojo:extra-enforcer-rules:jar:1.0-beta-6
    +- org.apache.maven:maven-core:jar:2.0.9:compile
    |  +- org.apache.maven.wagon:wagon-provider-api:jar:1.0-beta-2:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:1.0.4:compile - omitted for conflict with 1.5.1)
    |  +- org.apache.maven.wagon:wagon-ssh-external:jar:1.0-beta-2:runtime
    |  |  +- (org.codehaus.plexus:plexus-utils:jar:1.0.4:runtime - omitted for conflict with 1.5.1)
    |  |  \- org.apache.maven.wagon:wagon-ssh-common:jar:1.0-beta-2:runtime
    |  |     \- (org.codehaus.plexus:plexus-utils:jar:1.0.4:runtime - omitted for conflict with 1.5.1)
    |  \- org.apache.maven.wagon:wagon-ssh:jar:1.0-beta-2:runtime
    |     \- (org.codehaus.plexus:plexus-utils:jar:1.0.4:runtime - omitted for conflict with 1.5.1)
    \- org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9:compile
       \- (org.codehaus.plexus:plexus-utils:jar:1.0.4:compile - omitted for conflict with 1.5.8)

1.5.1
    org.codehaus.mojo:extra-enforcer-rules:jar:1.0-beta-6
    +- org.apache.maven:maven-project:jar:2.0.9:compile
    |  +- org.apache.maven:maven-settings:jar:2.0.9:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.1:compile - omitted for conflict with 1.0.4)
    |  +- org.apache.maven:maven-profile:jar:2.0.9:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.1:compile - omitted for conflict with 1.0.4)
    |  +- org.apache.maven:maven-artifact-manager:jar:2.0.9:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.1:compile - omitted for conflict with 1.0.4)
    |  +- org.apache.maven:maven-plugin-registry:jar:2.0.9:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.1:compile - omitted for conflict with 1.0.4)
    |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.1:compile - omitted for conflict with 1.5.8)
    +- org.apache.maven:maven-core:jar:2.0.9:compile
    |  +- org.apache.maven:maven-plugin-parameter-documenter:jar:2.0.9:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.1:compile - omitted for duplicate)
    |  +- org.apache.maven:maven-repository-metadata:jar:2.0.9:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.1:compile - omitted for duplicate)
    |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.1:compile - omitted for duplicate)
    +- org.apache.maven:maven-artifact:jar:2.0.9:compile
    |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.1:compile - omitted for duplicate)
    \- org.apache.maven:maven-model:jar:2.0.9:compile
       \- (org.codehaus.plexus:plexus-utils:jar:1.5.1:compile - omitted for duplicate)

1.5.8
    org.codehaus.mojo:extra-enforcer-rules:jar:1.0-beta-6
    \- org.codehaus.plexus:plexus-utils:jar:1.5.8:compile

2.0.5
    org.codehaus.mojo:extra-enforcer-rules:jar:1.0-beta-6
    \- org.apache.maven:maven-plugin-api:jar:3.0:compile
       \- org.sonatype.sisu:sisu-inject-plexus:jar:1.4.2:compile
          \- (org.codehaus.plexus:plexus-utils:jar:2.0.5:compile - omitted for conflict with 1.5.8)

2.1
    org.codehaus.mojo:extra-enforcer-rules:jar:1.0-beta-6
    \- org.apache.maven.shared:maven-common-artifact-filters:jar:1.4:compile
       \- (org.codehaus.plexus:plexus-utils:jar:2.1:compile - omitted for conflict with 1.5.8)